package com.chenyang.nse.bussiness.entity.vo;

public class RowSensitiveLevelReqVO {
   private String scopeId;
   private String sensitiveId;
   private String dataSystemId;
   private String schema;
   private String projectId;
   private String dbType;
   private String state;
   private String dataareaid;
   private String tableName;
   private String strategyId;

   public String getScopeId() {
      return this.scopeId;
   }

   public String getSensitiveId() {
      return this.sensitiveId;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public String getSchema() {
      return this.schema;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public String getDbType() {
      return this.dbType;
   }

   public String getState() {
      return this.state;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public String getTableName() {
      return this.tableName;
   }

   public String getStrategyId() {
      return this.strategyId;
   }

   public void setScopeId(final String scopeId) {
      this.scopeId = scopeId;
   }

   public void setSensitiveId(final String sensitiveId) {
      this.sensitiveId = sensitiveId;
   }

   public void setDataSystemId(final String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public void setSchema(final String schema) {
      this.schema = schema;
   }

   public void setProjectId(final String projectId) {
      this.projectId = projectId;
   }

   public void setDbType(final String dbType) {
      this.dbType = dbType;
   }

   public void setState(final String state) {
      this.state = state;
   }

   public void setDataareaid(final String dataareaid) {
      this.dataareaid = dataareaid;
   }

   public void setTableName(final String tableName) {
      this.tableName = tableName;
   }

   public void setStrategyId(final String strategyId) {
      this.strategyId = strategyId;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof RowSensitiveLevelReqVO)) {
         return false;
      } else {
         RowSensitiveLevelReqVO other = (RowSensitiveLevelReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$scopeId = this.getScopeId();
            Object other$scopeId = other.getScopeId();
            if (this$scopeId == null) {
               if (other$scopeId != null) {
                  return false;
               }
            } else if (!this$scopeId.equals(other$scopeId)) {
               return false;
            }

            Object this$sensitiveId = this.getSensitiveId();
            Object other$sensitiveId = other.getSensitiveId();
            if (this$sensitiveId == null) {
               if (other$sensitiveId != null) {
                  return false;
               }
            } else if (!this$sensitiveId.equals(other$sensitiveId)) {
               return false;
            }

            Object this$dataSystemId = this.getDataSystemId();
            Object other$dataSystemId = other.getDataSystemId();
            if (this$dataSystemId == null) {
               if (other$dataSystemId != null) {
                  return false;
               }
            } else if (!this$dataSystemId.equals(other$dataSystemId)) {
               return false;
            }

            Object this$schema = this.getSchema();
            Object other$schema = other.getSchema();
            if (this$schema == null) {
               if (other$schema != null) {
                  return false;
               }
            } else if (!this$schema.equals(other$schema)) {
               return false;
            }

            Object this$projectId = this.getProjectId();
            Object other$projectId = other.getProjectId();
            if (this$projectId == null) {
               if (other$projectId != null) {
                  return false;
               }
            } else if (!this$projectId.equals(other$projectId)) {
               return false;
            }

            Object this$dbType = this.getDbType();
            Object other$dbType = other.getDbType();
            if (this$dbType == null) {
               if (other$dbType != null) {
                  return false;
               }
            } else if (!this$dbType.equals(other$dbType)) {
               return false;
            }

            Object this$state = this.getState();
            Object other$state = other.getState();
            if (this$state == null) {
               if (other$state != null) {
                  return false;
               }
            } else if (!this$state.equals(other$state)) {
               return false;
            }

            Object this$dataareaid = this.getDataareaid();
            Object other$dataareaid = other.getDataareaid();
            if (this$dataareaid == null) {
               if (other$dataareaid != null) {
                  return false;
               }
            } else if (!this$dataareaid.equals(other$dataareaid)) {
               return false;
            }

            Object this$tableName = this.getTableName();
            Object other$tableName = other.getTableName();
            if (this$tableName == null) {
               if (other$tableName != null) {
                  return false;
               }
            } else if (!this$tableName.equals(other$tableName)) {
               return false;
            }

            Object this$strategyId = this.getStrategyId();
            Object other$strategyId = other.getStrategyId();
            if (this$strategyId == null) {
               if (other$strategyId != null) {
                  return false;
               }
            } else if (!this$strategyId.equals(other$strategyId)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof RowSensitiveLevelReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $scopeId = this.getScopeId();
      result = result * 59 + ($scopeId == null ? 43 : $scopeId.hashCode());
      Object $sensitiveId = this.getSensitiveId();
      result = result * 59 + ($sensitiveId == null ? 43 : $sensitiveId.hashCode());
      Object $dataSystemId = this.getDataSystemId();
      result = result * 59 + ($dataSystemId == null ? 43 : $dataSystemId.hashCode());
      Object $schema = this.getSchema();
      result = result * 59 + ($schema == null ? 43 : $schema.hashCode());
      Object $projectId = this.getProjectId();
      result = result * 59 + ($projectId == null ? 43 : $projectId.hashCode());
      Object $dbType = this.getDbType();
      result = result * 59 + ($dbType == null ? 43 : $dbType.hashCode());
      Object $state = this.getState();
      result = result * 59 + ($state == null ? 43 : $state.hashCode());
      Object $dataareaid = this.getDataareaid();
      result = result * 59 + ($dataareaid == null ? 43 : $dataareaid.hashCode());
      Object $tableName = this.getTableName();
      result = result * 59 + ($tableName == null ? 43 : $tableName.hashCode());
      Object $strategyId = this.getStrategyId();
      result = result * 59 + ($strategyId == null ? 43 : $strategyId.hashCode());
      return result;
   }

   public String toString() {
      return "RowSensitiveLevelReqVO(scopeId=" + this.getScopeId() + ", sensitiveId=" + this.getSensitiveId() + ", dataSystemId=" + this.getDataSystemId() + ", schema=" + this.getSchema() + ", projectId=" + this.getProjectId() + ", dbType=" + this.getDbType() + ", state=" + this.getState() + ", dataareaid=" + this.getDataareaid() + ", tableName=" + this.getTableName() + ", strategyId=" + this.getStrategyId() + ")";
   }
}
